Build #3 for HCL-1.5

[all reports]

Package HCL-1.5
Install ConfigureFailed
Docs NotTried
Tests NotTried
Time submitted 2018-11-26 01:59:58.191682371 UTC
Compiler ghc-8.6.1
OS linux
Arch x86_64
Dependencies QuickCheck-2.12.6.1, base-4.12.0.0, containers-0.6.0.1, mtl-2.2.2, random-1.1
Flags none

Build log

[view raw]

Warning: The install command is a part of the legacy v1 style of cabal usage.

Please switch to using either the new project style and the new-install
command or the legacy v1-install alias as new-style projects will become the
default in the next version of cabal-install. Please file a bug if you cannot
replicate a working v1- use case with the new-style commands.

For more information, see: https://wiki.haskell.org/Cabal/NewBuild

Resolving dependencies...
Starting     primitive-0.6.4.0
Starting     erf-2.0.0.0
Building     erf-2.0.0.0
Building     primitive-0.6.4.0
Completed    erf-2.0.0.0
Starting     random-1.1
Building     random-1.1
Completed    random-1.1
Completed    primitive-0.6.4.0
Starting     tf-random-0.5
Building     tf-random-0.5
Completed    tf-random-0.5
Starting     QuickCheck-2.12.6.1
Building     QuickCheck-2.12.6.1
Completed    QuickCheck-2.12.6.1
Starting     HCL-1.5
Failed to install HCL-1.5
Build log ( /home/builder/.cabal/logs/ghc-8.6.1/HCL-1.5-66JhCM24pBz93iHGNGNA4q.log ):
cabal: Entering directory '/tmp/cabal-tmp-13173/HCL-1.5'
Configuring HCL-1.5...
cabal: The field 'build-depends: HCL' refers to a library which is defined
within the same package. To use this feature the package must specify at least
'cabal-version: >= 1.8'.

cabal: Leaving directory '/tmp/cabal-tmp-13173/HCL-1.5'
cabal: Error: some packages failed to install:
HCL-1.5-66JhCM24pBz93iHGNGNA4q failed during the configure step. The exception
was:
ExitFailure 1